Bug 536729

Summary: SELinux is preventing /bin/bash "sys_tty_config" access.
Product: [Fedora] Fedora Reporter: Stephen Fromm <stephenf>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:ceccb0d61adab8f69c4854a455a8dc27241b9c3f93b9b12242dfa7d2bcfd7683
Fixed In Version: 3.6.32-46.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-24 07:48:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Stephen Fromm 2009-11-11 05:41:58 UTC
Summary:

SELinux is preventing /bin/bash "sys_tty_config" access.

Detailed Description:

[sh has a permissive type (tuned_t). This access was not denied.]

SELinux denied access requested by sh. It is not expected that this access is
required by sh and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:tuned_t:s0
Target Context                system_u:system_r:tuned_t:s0
Target Objects                None [ capability ]
Source                        sh
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.0.33-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.i686.PAE #1 SMP Sat
                              Nov 7 21:25:57 EST 2009 i686 i686
Alert Count                   40
First Seen                    Thu 05 Nov 2009 08:09:28 AM PST
Last Seen                     Tue 10 Nov 2009 09:40:17 PM PST
Local ID                      856857ce-d332-4ddb-a091-feb39bddc1b6
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1257918017.389:28894): avc:  denied  { sys_tty_config } for  pid=16499 comm="sh" capability=26 scontext=system_u:system_r:tuned_t:s0 tcontext=system_u:system_r:tuned_t:s0 tclass=capability

node=(removed) type=SYSCALL msg=audit(1257918017.389:28894): arch=40000003 syscall=54 success=yes exit=0 a0=0 a1=5401 a2=bfaf6294 a3=bfaf639c items=0 ppid=1747 pid=16499 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="sh" exe="/bin/bash" subj=system_u:system_r:tuned_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,sh,tuned_t,tuned_t,capability,sys_tty_config
audit2allow suggests:

#============= tuned_t ==============
allow tuned_t self:capability sys_tty_config;

Comment 1 Daniel Walsh 2009-11-11 14:53:01 UTC
Fixed in selinux-policy-3.6.32-44.fc12.noarch

Comment 2 Fedora Update System 2009-11-16 19:37:33 UTC
selinux-policy-3.6.32-46.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-46.fc12

Comment 3 Fedora Update System 2009-11-18 14:11:25 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11672

Comment 4 Fedora Update System 2009-11-24 07:46:22 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.